%define majver %(echo %version | cut -d. -f1-2)
Name:          MuseScore
Version:       4.4.1
Release:       1mamba
Summary:       Free music composition & notation software 
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://musescore.org/en
Source:        https://github.com/musescore/MuseScore.git/v%{version}/MuseScore-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libz-devel
BuildRequires: qt6-qt5compat-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtnetworkauth-devel
BuildRequires: qt6-qtscxml-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
Requires:      soundfont-musescore

%description
MuseScore is a free cross platform WYSIWYG music notation program, licenced under GNU GPL.
Some highlights: 

    *  WYSIWYG, notes are entered on a "virtual note sheet"
    * Unlimited number of staves
    * Up to four voices per staff
    * Easy and fast note entry with mouse, keyboard or MIDI
    * Integrated sequencer and FluidSynth software synthesizer
    * Import and export of MusicXML and Standard MIDI Files (SMF)
    * Platform independent code, binaries available for Windows, Mac and Linux
    * Available in 20 languages
    * GNU GPL licenced

%package -n soundfont-musescore
Group:         System/Multimedia
Summary:       A soundfont collection for MIDI synthetizers
Provides:      soundfont-2rock9
Obsoletes:     soundfont-2rock9 < 4.0
Provides:      soundfont-TimGM
Obsoletes:     soundfont-TimGM < 4.0
Provides:      soundfont

%description -n soundfont-musescore
A soundfont collection for MIDI synthetizers.

%debug_package

%prep
%setup -q
#-D -T

%build
#:<< _EOF
%cmake -d build \
   -DUSE_SYSTEM_FREETYPE=ON \
   -DBUILD_CRASHPAD_CLIENT=OFF \
   -DBUILD_UNIT_TESTS=OFF \
   -DDOWNLOAD_SOUNDFONT=OFF \
   -DPACKAGE_FILE_ASSOCIATION=ON \
   -DUSE_SYSTEM_FREETYPE=ON \

#   -DBUILD_WEBENGINE=OFF \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

rm -rf %{buildroot}/usr/{bin/crashpad_handler,include,%{_lib}}

install -d -m0755 %{buildroot}%{_datadir}/soundfonts
ln -s ../mscore-%{majver}/sound/MS\ Basic.sf3 %{buildroot}%{_datadir}/soundfonts/MS\ Basic.sf3
ln -s MS\ Basic.sf3 %{buildroot}%{_datadir}/soundfonts/default.sf3

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mscore
#%{_bindir}/musescore
%{_datadir}/metainfo/org.musescore.MuseScore.appdata.xml
%{_datadir}/mime/packages/musescore.xml
%{_datadir}/applications/org.musescore.MuseScore.desktop
%dir %{_datadir}/mscore-%{majver}
%{_datadir}/mscore-%{majver}/*
%exclude %{_datadir}/mscore-%{majver}/sound
%{_datadir}/icons/hicolor/*/apps/mscore.png
%{_datadir}/icons/hicolor/*/mimetypes/*.png
%{_mandir}/man1/mscore.1*
%{_mandir}/man1/musescore.1*
#%{_datadir}/pixmaps/mscore.png
#%{_datadir}/pixmaps/mscore.xpm

%files -n soundfont-musescore
%defattr(-,root,root)
%dir %{_datadir}/mscore-%{majver}/sound
%{_datadir}/mscore-%{majver}/sound/*
%{_datadir}/soundfonts/default.sf3
%{_datadir}/soundfonts/MS*Basic.sf3

%changelog
* Fri Sep 06 2024 Automatic Build System <autodist@openmamba.org> 4.4.1-1mamba
- automatic version update by autodist

* Tue Aug 27 2024 Automatic Build System <autodist@openmamba.org> 4.4.0-1mamba
- automatic version update by autodist

* Wed Jun 12 2024 Automatic Build System <autodist@openmamba.org> 4.3.2-1mamba
- automatic version update by autodist

* Wed May 29 2024 Automatic Build System <autodist@openmamba.org> 4.3.1-1mamba
- automatic version update by autodist

* Tue May 07 2024 Automatic Build System <autodist@openmamba.org> 4.3.0-1mamba
- automatic version update by autodist

* Thu Jan 25 2024 Automatic Build System <autodist@openmamba.org> 4.2.1-1mamba
- automatic version update by autodist

* Sun Dec 24 2023 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Sat Jul 29 2023 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Tue Mar 14 2023 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Sun Jan 15 2023 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Wed Jan 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0-1mamba
- update to 4.0

* Sat Mar 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.2-2mamba
- remove Qt5 WebEngine conflicting files

* Mon Feb 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.2-1mamba
- update to 3.6.2

* Mon Dec 03 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-1mamba
- update to 2.3.2

* Fri Mar 08 2013 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Wed Apr 11 2012 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- update to 1.2

* Mon Mar 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- update to 1.0

* Fri Nov 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1mamba
- package created by autospec
